.clients-header-div{
    display: flex;
    flex-direction: column;
    align-items: center;
}

.clients-header-text{
    color: #FFD700;
    font-size: clamp(16px, 1.3vw, 20px);
}

.clients-header-title{
    font-family: 'Satoshi', sans-serif;
    font-size: clamp(30px,4vw,70px);
    margin: 0px 0px;
    text-align: center;
}

#clients{
    padding: clamp(60px, 10vw, 100px) clamp(20px, 3.5vw, 50px);
}

.clients-header-icon-div{
    padding-top: clamp(20px, 2vw, 30px);
    display: flex;
    gap: clamp(12px, 1.5vw, 20px);
}

.client-segal-icon{
    width: clamp(35px, 3.5vw, 50px);
}

.client-icon-line{
    color: #FFD700;
}

.clients-header-subtext{
    text-align: center;
    color: rgba(0,0,0,0.7);
    font-size: clamp(16px, 1.7vw, 20px);
    line-height: clamp(28px, 3.5vw, 35px);
}

.client-logo{
    width: clamp(70px, 7vw, 100px);
    height: clamp(70px, 7vw, 100px);
}

.client-cards-div{
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    gap: clamp(15px, 2vw, 20px);
}

.client-card{
    display: flex;
    flex-direction: column;
    align-items: center;
    border : 1px solid rgba(10, 37, 72, 0.15);
    border-radius: clamp(6px, 0.6vw, 8px);
    box-shadow: 0 8px 25px rgba(10, 37, 72, 0.08);
    padding: clamp(8px, 1vw, 10px) clamp(10px, 1.5vw, 16px);
}

.client-name{
    color: #0A2548;
    text-align: center;
    font-size: clamp(16px, 1.7vw, 20px);
}

.client-categories{
    color: #FFD700;
    text-align: center;
    margin-top: auto;
}

.interest-div{
    display: flex;
    align-items: start;
    border: 1px solid rgba(10, 37, 72, 0.15);
    border-radius: clamp(6px, 0.6vw, 8px);
    box-shadow: 0 8px 25px rgba(10, 37, 72, 0.08);
    padding: clamp(8px, 1vw, 10px) clamp(10px, 1.5vw, 16px);
    grid-column: span 2;
    gap: clamp(20px, 3.5vw, 50px);
    padding-left: clamp(15px, 2vw, 30px);
    padding-top: clamp(20px, 3vw, 30px);
}

.interest-right-div{
    display: flex;
    flex-direction: column;
    align-items: start;
    gap: clamp(7px, 0.8vw, 10px);
}

.interest-left-div{
    display: flex;
}

.interest-icon{
    width: clamp(70px, 7vw, 100px);
}

.work-button{
    display: flex;
    padding: clamp(8px, 1vw, 10px) clamp(12px, 1.5vw, 16px);
    align-items: center;
    background:linear-gradient(
        180deg,
        #0E2F59,
        #0A2548
    );
    border: none;
    border-radius: clamp(6px, 0.6vw, 8px);
    cursor: pointer;
    gap: clamp(6px, 0.8vw, 8px);
    height: clamp(35px, 4vw, 40px);
}

.work-button:hover{
    box-shadow: 0 18px 40px rgba(10,37,72,.30);
}

.work-button:active{
    box-shadow: 0 25px 45px rgba(10,37,72,.30);
}

.work-icon{
    width: clamp(20px, 2.5vw, 25px);
}

.work-text{
    color: #FFD700;
    font-size: clamp(12px, 1.2vw, 14px);
}

.interest-right-div p{
    margin: 0px 0px;
}

.interest-text{
    color: #0A2548;
    font-size: clamp(16px, 1.5vw, 18px);
    line-height: clamp(28px, 3.5vw, 35px);
}

.interest-subtext{
    color: rgba(0,0,0,0.7);
    line-height: clamp(26px, 3.2vw, 32px);
}

@media(max-width: 1100px){
    .client-cards-div{
        grid-template-columns: 1fr 1fr 1fr;
    }

    .interest-div{
        grid-column: 1 /-1;
        width: 60%;
        justify-self: center;
    }
}

@media(max-width: 830px){
    .client-cards-div{
        grid-template-columns: 1fr 1fr
    }
}

@media(max-width: 700px){
    .interest-div{
        width: auto;
    }
}

.clients-hidden{
    opacity: 0.5;
    transform: scale(0.90);
    transition: opacity 0.5s ease, transform 0.7s ease;
}

.clients-interest-hidden{
    transform: scale(0.80) translateX(100px);
    opacity: 0.5;
    transition: opacity 0.5s ease, transform 1s ease;
}

.clients-show{
    opacity: 1;
    transform: scale(1);
}

.clients-interest-show{
    opacity: 1;
    transform: scale(1) translateX(0px);
}